data:extend({	
	
	-- EXTRACTOR
	
	{
    type = "assembling-machine",
    name = "extractor",
    icon = "__NARMod__/graphics/icons/extractor.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "extractor"},
    max_health = 150,
    crafting_categories = {"extractor-crafting"},
    crafting_speed = 1,
    ingredient_count = 2,
    module_slots = 1,
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    corpse = "big-remnants",
    collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{ -1.5, -1.5}, {1.5, 1.5}},
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
	working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-mining-drill.ogg",
        volume = 0.75
      },
      apparent_volume = 1.5,
    },
	fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -2} }}
      },
      off_when_no_fluid_recipe = true,
	  {
        production_type = "output",
        pipe_picture = assembler2pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {0, 2} }}
      },
      off_when_no_fluid_recipe = true,	  
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.01 / 2.5
    },
    energy_usage = "100kW",
    animation =
    {
      north =
      {
        priority = "extra-high",
        width = 110,
        height = 114,
        line_length = 8,
        shift = {0.2, -0.2},
        filename = "__base__/graphics/entity/basic-mining-drill/north.png",
        frame_count = 64,
        animation_speed = 2,
        run_mode = "forward-then-backward",
      },
      east =
      {
        priority = "extra-high",
        width = 129,
        height = 100,
        line_length = 8,
        shift = {0.45, 0},
        filename = "__base__/graphics/entity/basic-mining-drill/east.png",
        frame_count = 64,
        animation_speed = 2,
        run_mode = "forward-then-backward",
      },
      south =
      {
        priority = "extra-high",
        width = 109,
        height = 111,
        line_length = 8,
        shift = {0.15, 0},
        filename = "__base__/graphics/entity/basic-mining-drill/south.png",
        frame_count = 64,
        animation_speed = 2,
        run_mode = "forward-then-backward",
      },
      west =
      {
        priority = "extra-high",
        width = 128,
        height = 100,
        line_length = 8,
        shift = {0.25, 0},
        filename = "__base__/graphics/entity/basic-mining-drill/west.png",
        frame_count = 64,
        animation_speed = 2,
        run_mode = "forward-then-backward",
      }
    }
  },
	
	{
    type = "item",
    name = "extractor",
    icon = "__NARMod__/graphics/icons/extractor.png",
    flags = {"goes-to-quickbar"},
    subgroup = "extraction-machine",
    order = "a[extractor]",
    place_result = "extractor",
    stack_size = 5
	},
	
	{
    type = "recipe",
    name = "extractor",
	category = "crafting",
    enabled = "false",
	energy_required= 10,
    ingredients =
    {
      {"basic-mining-drill", 1},
	  {"basic-pump", 1},
      {"pipe", 2}
    },
	result = "extractor"
	},	
	
	-- LIMESTONE
	
	{
	type = "item",
    name = "limestone",
    icon = "__NARMod__/graphics/icons/limestone.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "extractor-crafting",
    order = "a[limestone]",
    stack_size = 50
	},
	
	{
    type = "recipe",
    name = "limestone",
	category = "extractor-crafting",
    enabled = "false",
	energy_required= 3,
    ingredients =
    {
			{type="fluid", name="water", amount=3}
    },
	result = "limestone"
	},
	
	-- SALT
	
	{
	type = "item",
    name = "salt",
    icon = "__NARMod__/graphics/icons/salt.png",
    flags = {"goes-to-main-inventory"},
	subgroup = "extractor-crafting",
    order = "a[salt]",
    stack_size = 50
	},
	
	{
    type = "recipe",
    name = "salt",
	category = "chemical-furnace",
    enabled = "false",
	energy_required= 4,
    ingredients =
    {
			{type="fluid", name="brine-water", amount=2}
    },
	result = "salt"
	},
	
	-- PHOSPHATE ROCK
	
	{
	type = "item",
    name = "phosphate-rock",
    icon = "__NARMod__/graphics/icons/phosphate-rock.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "extractor-crafting",
    order = "a[sand]",
    stack_size = 50
	},
	
	{
    type = "recipe",
    name = "phosphate-rock",
	category = "extractor-crafting",
    enabled = "false",
	energy_required= 10,
    ingredients =
    {
			{type="fluid", name="water", amount=10}
    },
	result = "phosphate-rock"
	},
	
	-- CEMENT
	
	{
	type = "item",
    name = "cement",
    icon = "__NARMod__/graphics/icons/cement.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "extractor-crafting",
    order = "a[cement]",
    stack_size = 50
	},
	
	{
    type = "recipe",
    name = "cement",
	category = "chemical-furnace",
    enabled = "false",
	energy_required= 2,
    ingredients =
    {
		{"limestone", 3},
		{"clay", 1},
		{"charcoal", 1},
		{type="fluid", name="water", amount=1}
    },
	result = "cement"
	},
	
	-- CLAY
	
	{
	type = "item",
    name = "clay",
    icon = "__NARMod__/graphics/icons/clay.png",
    flags = {"goes-to-main-inventory"},
	subgroup = "extractor-crafting",
    order = "a[clay]",
    stack_size = 50
	},
	
	{
    type = "recipe",
    name = "clay",
	category = "extractor-crafting",
    enabled = "false",
	energy_required= 5,
    ingredients =
    {
		{type="fluid", name="water", amount=5}
    },
	result = "clay"
	},
	
	-- SMALL CRUCIBLE
	
	{
	type = "item",
    name = "small-crucible",
    icon = "__NARMod__/graphics/icons/small-crucible.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "intermediate-product",
    order = "a[clay]",
    stack_size = 50
	},
	
	{
    type = "recipe",
    name = "small-crucible",
	category = "crafting",
    enabled = "false",
	energy_required= 2,
    ingredients =
    {
		{"clay",3}
    },
	result = "small-crucible"
	},
	
	--REINFORCED CONCRETE BLOCK
	
	{
	type = "item",
    name = "stone-brick",
    icon = "__NARMod__/graphics/icons/reinforced-concrete-block.png",
    flags = {"goes-to-quickbar"},
    subgroup = "intermediate-product",
    order = "a[stone-brick]",
    stack_size = 50
	},
	
	{
    type = "recipe",
    name = "stone-brick",
	category = "chemical-furnace",
    enabled = false,
	energy_required= 2,
    ingredients =
    {
		{"stone", 3},
		{"cement", 2},
		{"iron-stick", 2},
		{type="fluid", name="water", amount=1}
    },
	result = "stone-brick"
	}
  })