data:extend({

-- BLAST FURNACE

{
    type= "assembling-machine",
    name= "blast-furnace",
    flags= {"placeable-neutral", "player-creation"},
	
	collision_box= {{-2.4, -2.4}, {2.4, 2.4}},
    selection_box= {{-2.5, -2.5}, {2.5, 2.5}},
	
    --collision_box= {{-3.4, -2.4}, {1.4, 2.9}},
    --selection_box= {{-3.5, -2.4}, {1.5, 3.0}},
    minable= { hardness= 0.2, mining_time= 0.5, result= "blast-furnace" },
    crafting_categories= { "blast-furnace" },
    max_health= 150,
    ingredient_count= 3,
    energy_usage="1000kW",
	crafting_speed=1,
	icon="__NARMod__/graphics/icons/blastfurnace.png",
    energy_source=
    {
      type= "electric",
	  usage_priority = "secondary-input",
    },
    animation=
    {
      filename= "__NARMod__/graphics/entity/blast-furnace/blastfurnace.png",
      priority= "medium",
      width= 212,
      height= 180,
      line_length= 5,
      frame_count= 16,
	  shift = {0.8, 0.18}
    },
	fluid_boxes ={
      {
        production_type = "output",
        --pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {-3, 1} }}
      }, 
	  {
        production_type = "output",
        --pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {-3, -1} }}
      }, 
      {
        production_type = "output",
        --pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ type="output", position = {3,1} }}
      }, 
	  {
        production_type = "output",
        --pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ type="output", position = {3,-1} }}
      }, 
      {
        production_type = "input",
        --pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {1, -3} }}
      }, 
	  {
        production_type = "input",
        --pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-1, -3} }}
      }, 
      {
        production_type = "input",
        --pipe_covers = pipecoverspictures(),
        base_level = -1,
        pipe_connections = {{ type="input", position = {1,3} }}
      }, 
	  {
        production_type = "input",
        --pipe_covers = pipecoverspictures(),
        base_level = -1,
        pipe_connections = {{ type="input", position = {-1,3} }}
      },
	 },
	},
  
{
   	type = "recipe",
   	name =  "blast-furnace",
   	result= "blast-furnace",
   	ingredients= {
		{"large-frame", 1},
		{"steel-plate", 40},
		{"arc-welding-electrode", 40},
		{"copper-cable", 20},
		{"large-crucible", 4},
	},
	energy_required= 30,
    enabled= "false",
	category= "crafting"
  },
  
	{
		type= "item",
		name= "blast-furnace",
		order= "z-z-b-f",
		place_result= "blast-furnace",
		stack_size= 1,
		flags= { "goes-to-quickbar" },
		subgroup = "smelting-machine",
		icon="__NARMod__/graphics/icons/blastfurnace.png",
	},

	-- ELECTROLYSER
	
 {
    type = "assembling-machine",
    name = "electrolyser",
    icon = "__NARMod__/graphics/icons/electrolyser.png",
    flags = {"placeable-neutral","placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "electrolyser"},
    fast_replaceable_group = "electrolyser",
    corpse = "big-remnants",
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    max_health = 300,
    crafting_categories = {"electrolysis"},
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    module_slots = 2,
    crafting_speed = 1.5,
    ingredient_count = 4,
    energy_usage = "225kW",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.03 / 3.5
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-1, -2} }}
      },
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {1, -2} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {-1, 2} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {1, 2} }}
      },
    },
    animation =
    {
      north =
      {
        filename = "__NARMod__/graphics/entity/electrolyser/electro-vt1u.png",
        width = 108,
        height = 130,
        frame_count = 1,
        shift = {0, -0.28125}
      },
      west =
      {
        filename = "__NARMod__/graphics/entity/electrolyser/electro-h-t1l.png",
        width = 112,
        height = 120,
        frame_count = 1,
        shift = {0, -0.21875}
      },
      south =
      {
        filename = "__NARMod__/graphics/entity/electrolyser/electro-vt1d.png",
        width = 108,
        height = 130,
        frame_count = 1,
        shift = {0, -0.28125}
      },
      east =
      {
        filename = "__NARMod__/graphics/entity/electrolyser/electro-h-t1r.png",
        width = 112,
        height = 120,
        frame_count = 1,
        shift = {0, -0.21875}
      }
    },
    working_sound =
    {
      sound =
      {
        {
          filename = "__base__/sound/chemical-plant.ogg",
          volume = 0.8
        }
      },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 1.5,
    },
  },
  
{
    type = "item",
    name = "electrolyser",
    icon = "__NARMod__/graphics/icons/electrolyser.png",
    flags = {"goes-to-quickbar"},
    order = "e[electrolyser-1]",
	    subgroup = "alt-production",
    place_result = "electrolyser",
    stack_size = 3
  },
  
    {
    type = "recipe",
    name = "electrolyser",
    energy_required = 10,
    enabled = "false",
    ingredients =
    {
      {"medium-frame", 1},
	  {"storage-tank-2", 2},
	  {"electronic-circuit", 5},
    },
    result = "electrolyser"
  },
  
  -- CHEMICAL FURNACE
  
  {
    type = "assembling-machine",
    name = "chemical-furnace",
    icon = "__NARMod__/graphics/icons/chemical-furnace.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "chemical-furnace"},
    max_health = 250,
    corpse = "big-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 80
      }
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_picture = assembler3pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -2} }}
      },
      off_when_no_fluid_recipe = true
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},

    module_slots = 3,
    ingredient_count = 8,
    crafting_speed = 2,
    crafting_categories = {"smelting", "chemical-furnace"},
    energy_usage = "180kW",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.005
    },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-furnace.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },
    animation =
    {
      filename = "__NARMod__/graphics/entity/chemical-furnace/chemical-furnace.png",
      priority = "high",
      width = 131,
      height = 102,
      frame_count = 1,
      shift = {0.5, 0.05 }
    },
    working_visualisations =
    {
      {
        north_position = { 0.09375, 0.96875 },
        west_position = { 0.09375, 0.96875 },
        south_position = { 0.09375, 0.96875 },
        east_position = { 0.09375, 0.96875 },
        animation =
        {
          filename = "__NARMod__/graphics/entity/chemical-furnace/chemical-furnace-fire.png",
          width = 29,
          height = 19,
          frame_count = 12,
          animation_speed = 0.5,
        }
      },
    },
    fast_replaceable_group = "furnace",
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
  },

    {
    type = "item",
    name = "chemical-furnace",
    icon = "__NARMod__/graphics/icons/chemical-furnace.png",
    flags = {"goes-to-quickbar"},
    order = "c[chemical-furnace]",
	    subgroup = "alt-production",
    place_result = "chemical-furnace",
    stack_size = 5
  },
  
  {
    type = "recipe",
    name = "chemical-furnace",
    energy_required = 10,
    enabled = "false",
    ingredients =
    {
      {"small-frame", 1},
      {"stone-furnace", 1},
	  {"storage-tank-2", 1},
	  {"pipe", 2},
    },
    result = "chemical-furnace"
  },
  
  -- MIXING FURNACE
  
  {
    type = "assembling-machine",
    name = "mixing-furnace",
    icon = "__NARMod__/graphics/icons/stone-mixing-furnace.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "mixing-furnace"},
    max_health = 200,
    corpse = "medium-remnants",
    working_sound =
    {
      sound = { filename = "__base__/sound/furnace.ogg" }
    },
    resistances = 
    {
      {
        type = "fire",
        percent = 100
      }
    },
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-0.8, -1}, {0.8, 1}},
    crafting_categories = {"mixing-furnace"},
    energy_usage = "180kW",
    ingredient_count = 2,
    crafting_speed = 1,
    energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 0.5,
          position = {0, 0},
          starting_vertical_speed = 0.05
        }
      }
    },

    animation =
    {
      filename = "__NARMod__/graphics/entity/stone-mixing-furnace/stone-mixing-furnace.png",
      priority = "extra-high",
      width = 81,
      height = 64,
      frame_count = 1,
      shift = {0.5, 0.05 }
    },
    working_visualisations =
    {
      {
        north_position = { 0.078125, 0.5234375},
        west_position = { 0.078125, 0.5234375},
        south_position = { 0.078125, 0.5234375},
        east_position = { 0.078125, 0.5234375},
        animation =
        {
          filename = "__NARMod__/graphics/entity/stone-mixing-furnace/stone-mixing-furnace-fire.png",
          width = 23,
          height = 27,
          frame_count = 12,
        }
      },
    },
    fast_replaceable_group = "furnace"
  },
  
  {
    type = "item",
    name = "mixing-furnace",
    icon = "__NARMod__/graphics/icons/stone-mixing-furnace.png",
    flags = {"goes-to-quickbar"},
    order = "b[mixing-furnace]",
	subgroup = "alt-production",
    place_result = "mixing-furnace",
    stack_size = 5
  },
  
  {
    type = "recipe",
    name = "mixing-furnace",
    energy_required = 3,
    enabled = "false",
    ingredients = 
    {
	  {"small-frame", 1},
      {"stone-furnace", 1},
    },
    result = "mixing-furnace"
  },

  -- ELECTRIC MIXING FURNACE
  
  {
    type = "assembling-machine",
    name = "electric-mixing-furnace",
    icon = "__NARMod__/graphics/icons/electric-mixing-furnace.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "electric-mixing-furnace"},
    max_health = 250,
    corpse = "big-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 80
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},

    module_slots = 3,
    ingredient_count = 4,
    crafting_speed = 2,
    crafting_categories = {"smelting", "mixing-furnace"},
    energy_usage = "180kW",

    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.005
    },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-furnace.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },

    animation =
    {
      filename = "__NARMod__/graphics/entity/electric-mixing-furnace/electric-mixing-furnace.png",
      priority = "high",
      width = 131,
      height = 102,
      frame_count = 1,
      shift = {0.5, 0.05 }
    },
    working_visualisations =
    {
      {
        north_position = { 0.09375, 0.96875 },
        west_position = { 0.09375, 0.96875 },
        south_position = { 0.09375, 0.96875 },
        east_position = { 0.09375, 0.96875 },
        animation =
        {
          filename = "__NARMod__/graphics/entity/electric-mixing-furnace/electric-mixing-furnace-fire.png",
          width = 29,
          height = 19,
          frame_count = 12,
          animation_speed = 0.5,
        }
      },
    },
    fast_replaceable_group = "furnace",
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
  },

    {
    type = "item",
    name = "electric-mixing-furnace",
    icon = "__NARMod__/graphics/icons/electric-mixing-furnace.png",
    flags = {"goes-to-quickbar"},
    order = "c[electric-mixing-furnace]",
	    subgroup = "smelting-machine",
    place_result = "electric-mixing-furnace",
    stack_size = 3
  },
  
  {
    type = "recipe",
    name = "electric-mixing-furnace",
    energy_required = 10,
    enabled = "false",
    ingredients = 
    {
      {"medium-frame", 1},
      {"mixing-furnace", 1},
      {"electronic-circuit", 5},
    },
    result = "electric-mixing-furnace"
  },
  
  -- ELECTRIC FURNACE
  
  {
    type = "furnace",
    name = "electric-furnace",
    icon = "__base__/graphics/icons/electric-furnace.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "electric-furnace"},
    max_health = 150,
    corpse = "big-remnants",
    dying_explosion = "huge-explosion",
    light = {intensity = 1, size = 10},
    resistances = 
    {
      {
        type = "fire",
        percent = 80
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    module_slots = 2,
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    crafting_categories = {"smelting"},
    result_inventory_size = 1,
    crafting_speed = 2,
    energy_usage = "180kW",
    source_inventory_size = 1,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.005
    },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-furnace.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },
    animation =
    {
      filename = "__base__/graphics/entity/electric-furnace/electric-furnace-base.png",
      priority = "high",
      width = 129,
      height = 100,
      frame_count = 1,
      shift = {0.421875, 0}
    },
    working_visualisations =
    {
      {
        animation =
        {
          filename = "__base__/graphics/entity/electric-furnace/electric-furnace-heater.png",
          priority = "high",
          width = 25,
          height = 15,
          frame_count = 12,
          animation_speed = 0.5,
          shift = {0.015625, 0.890625}
        },
        light = {intensity = 0.4, size = 6, shift = {0.0, 1.0}}
      },
      {
        animation =
        {
          filename = "__base__/graphics/entity/electric-furnace/electric-furnace-propeller-1.png",
          priority = "high",
          width = 19,
          height = 13,
          frame_count = 4,
          animation_speed = 0.5,
          shift = {-0.671875, -0.640625}
        }
      },
      {
        animation =
        {
          filename = "__base__/graphics/entity/electric-furnace/electric-furnace-propeller-2.png",
          priority = "high",
          width = 12,
          height = 9,
          frame_count = 4,
          animation_speed = 0.5,
          shift = {0.0625, -1.234375}
        }
      }
    },
    fast_replaceable_group = "furnace"
  },

{
    type = "item",
    name = "electric-furnace",
    icon = "__base__/graphics/icons/electric-furnace.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "c[electric-furnace]",
    place_result = "electric-furnace",
    stack_size = 3
  },
  
  {
    type = "recipe",
    name = "electric-furnace",
    energy_required = 10,
    enabled = "false",
    ingredients =
    {
	  {"medium-frame", 1},
      {"stone-brick", 10},
	  {"copper-cable", 10},
      {"small-crucible", 2},
    },
    result = "electric-furnace"
  },
  
  {
    type= "assembling-machine",
    name= "pressure-vessel",
	order = "m-r",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-1.5, -0.7}, {1.4, 0.9}},
    selection_box= {{-1.5, -0.7}, {1.4, 0.9}},
    minable= { hardness= 0.2, mining_time= 0.5, result= "pressure-vessel" },
    crafting_categories= { "pressure-vessel" },
    max_health= 150,
    drawing_position= {0.7, 0.12},
    ingredient_count= 5,
    energy_usage= "250kW",
    crafting_speed= 1,
	icon="__NARMod__/graphics/icons/pressure-vessel.png",
    energy_source=
    {
      type= "electric",
      usage_priority = "secondary-input",
    },
    animation=
    {
      filename= "__NARMod__/graphics/entity/pressure-vessel/pressure-vessel.png",
      priority= "medium",
      width= 96,
      height= 32,
      line_length= 1,
      frame_count= 1,
      shift = {0, 0}
    },
	fluid_boxes =
    {
      {
        production_type = "output",
        --pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {-2, 0.5} }}
      },
	},
  },
  
  
	{
	type= "item",
	name= "pressure-vessel",
	order = "z-z-p-v",
	place_result= "pressure-vessel",
	stack_size= 3,
	flags= { "goes-to-quickbar" },
	icon="__NARMod__/graphics/icons/pressure-vessel.png",
	subgroup = "smelting-machine",
	},
	
  {
   	type = "recipe",
   	name =  "pressure-vessel",
   	result= "pressure-vessel",
   	ingredients= {
		{"medium-frame", 1},
		{"steel-plate", 10},
		{"storage-tank-2", 2},
		
	},
	energy_required= 10,
    enabled= "false",
	category= "crafting"
  },
 })