data:extend(
{
	
	-- BAUXITE ORE

  {
    type = "autoplace-control",
    name = "bauxite-ore",
    richness = true,
    order = "b-f-b"
  },

  {
    type = "noise-layer",
    name = "bauxite-ore"
  },

  {
    type = "item",
    name = "bauxite-ore",
    icon = "__NARMod__/graphics/icons/bauxite-ore.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-ores",
    order = "f-a[bauxite-ore]",
    stack_size = 50
  },

  {
    type = "resource",
    name = "bauxite-ore",
    icon = "__NARMod__/graphics/icons/bauxite-ore.png",
    flags = {"placeable-neutral"},
    order="a-b-f-f",
    minable =
    {
      hardness = 1.4,
      mining_particle = "bauxite-ore-particle",
      mining_time = 2,
      results =
      {
        {type="item", name="bauxite-ore", amount=1},
      }
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
      control = "bauxite-ore",
      sharpness = 1,
      richness_multiplier = 11000,
      richness_base = 200,
      size_control_multiplier = 0.06,
      peaks = {
        {
          influence = 0.2,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = 0.65,
          noise_layer = "bauxite-ore",
          noise_octaves_difference = -2.7,
          noise_persistence = 0.4,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "copper-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "iron-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "coal",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "stone",
          noise_octaves_difference = -3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "tin-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "zinc-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },

        {
          influence = 0.15,
          noise_layer = "lead-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = 0.15,
          noise_layer = "tungsten-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },

        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "gold-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "rutile-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
      },
    },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
    stages = 
    {
      filename = "__NARMod__/graphics/entity/bauxite-ore/bauxite-ore.png",
      priority = "extra-high",
      width = 38,
      height = 38,
      frame_count = 4,
      direction_count = 8
    },
    map_color = {r=0.777, g=0.700, b=0.333}
  },

  {
    type = "particle",
    name = "bauxite-ore-particle",
    flags = {"not-on-map"},
    life_time = 180,
    pictures = {
      {
        filename = "__NARMod__/graphics/entity/bauxite-ore/bauxite-ore-particle-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/bauxite-ore/bauxite-ore-particle-2.png",
        priority = "extra-high",
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/bauxite-ore/bauxite-ore-particle-3.png",
        priority = "extra-high",
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/bauxite-ore/bauxite-ore-particle-4.png",
        priority = "extra-high",
        width = 9,
        height = 8,
        frame_count = 1
      }
    },
    shadows = {
      {
        filename = "__NARMod__/graphics/entity/bauxite-ore/bauxite-ore-particle-shadow-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/bauxite-ore/bauxite-ore-particle-shadow-2.png",
        priority = "extra-high",
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/bauxite-ore/bauxite-ore-particle-shadow-3.png",
        priority = "extra-high",
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/bauxite-ore/bauxite-ore-particle-shadow-4.png",
        priority = "extra-high",
        width = 9,
        height = 8,
        frame_count = 1
      }
    }
  },
  
  
  
  
  
  
  
  -- GOLD ORE
  
  {
    type = "fluid",
    name = "molten-gold",
    default_temperature = 1200,
    heat_capacity = "0KJ",
    base_color = {r=255, g=200, b=0},
    flow_color = {r=255, g=190, b=0},
    max_temperature = 1200,
    icon="__NARMod__/graphics/icons/molten-gold.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "m-c"
  },
  
    {
    type= "item",
    name= "gold-plate",
    order= "b-b",
    stack_size= 50,
    flags= { "goes-to-main-inventory" },
	icon="__NARMod__/graphics/icons/gold-plate.png",
	group="production",
	subgroup = "raw-plates",
  },
  
	{
	    type = "recipe",
		name = "molten-gold",
		results= {
			{type="fluid", name="molten-gold", amount=5},
		},
		ingredients= { {type="item",name="gold-ore", amount=5}},
		energy_required= 2,
		enabled= "false",
		category= "blast-furnace",
		subgroup="molten-metals"
	},

{
    type = "recipe",
    name = "forgegold",
	result_count = 5,
    result= "gold-plate",
    ingredients= { {name="molten-gold", amount=5, type="fluid"}, {name="chlorine", amount=1, type="fluid"}},
	energy_required= 1,
    enabled= "false",
	category= "electrolysis"
},
  
  {
    type = "autoplace-control",
    name = "gold-ore",
    richness = true,
    order = "b-f-g"
  },

  {
    type = "noise-layer",
    name = "gold-ore"
  },

  {
    type = "item",
    name = "gold-ore",
    icon = "__NARMod__/graphics/icons/gold-ore.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-ores",
    order = "f-a[gold-ore]",
    stack_size = 50
  },

  {
    type = "resource",
    name = "gold-ore",
    icon = "__NARMod__/graphics/icons/gold-ore.png",
    flags = {"placeable-neutral"},
    order="a-b-f-e",
    minable =
    {
      hardness = 0.6,
      mining_particle = "gold-ore-particle",
      mining_time = 2,
      result = "gold-ore"
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
      control = "gold-ore",
      sharpness = 1,
      richness_multiplier = 12000,
      richness_base = 250,
      size_control_multiplier = 0.06,
      peaks = {
        {
          influence = 0.2,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = 0.65,
          noise_layer = "gold-ore",
          noise_octaves_difference = -2.4,
          noise_persistence = 0.35,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "copper-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "iron-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "coal",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "stone",
          noise_octaves_difference = -3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "tin-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "zinc-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = 0.1,
          noise_layer = "rutile-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
      },
    },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
    stages = 
    {
      filename = "__NARMod__/graphics/entity/gold-ore/gold-ore.png",
      priority = "extra-high",
      width = 38,
      height = 38,
      frame_count = 4,
      direction_count = 8
    },
    map_color = {r=0.906, g=0.629, b=0.039}
  },

  {
    type = "particle",
    name = "gold-ore-particle",
    flags = {"not-on-map"},
    life_time = 180,
    pictures = {
      {
        filename = "__NARMod__/graphics/entity/gold-ore/gold-ore-particle-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/gold-ore/gold-ore-particle-2.png",
        priority = "extra-high",
        width = 6,
        height = 4,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/gold-ore/gold-ore-particle-3.png",
        priority = "extra-high",
        width = 7,
        height = 8,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/gold-ore/gold-ore-particle-4.png",
        priority = "extra-high",
        width = 6,
        height = 5,
        frame_count = 1
      }
    },
    shadows = {
      {
        filename = "__NARMod__/graphics/entity/gold-ore/gold-ore-particle-shadow-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/gold-ore/gold-ore-particle-shadow-2.png",
        priority = "extra-high",
        width = 6,
        height = 4,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/gold-ore/gold-ore-particle-shadow-3.png",
        priority = "extra-high",
        width = 7,
        height = 8,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/gold-ore/gold-ore-particle-shadow-4.png",
        priority = "extra-high",
        width = 6,
        height = 5,
        frame_count = 1
      }
    }
  },
  
  
  
  
  -- LEAD ORE
  
  {
    type = "autoplace-control",
    name = "lead-ore",
    richness = true,
    order = "b-f-l"
  },

  {
    type = "noise-layer",
    name = "lead-ore"
  },

  {
    type = "item",
    name = "lead-ore",
    icon = "__NARMod__/graphics/icons/lead-ore.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-ores",
    order = "f-a[lead-ore]",
    stack_size = 50
  },

  {
    type = "resource",
    name = "lead-ore",
    icon = "__NARMod__/graphics/icons/lead-ore.png",
    flags = {"placeable-neutral"},
    order="a-b-f-g",
    minable =
    {
      hardness = 0.7,
      mining_particle = "lead-ore-particle",
      mining_time = 1.5,
      results =
      {
        {type="item", name="lead-ore", amount=1},
      }
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
      control = "lead-ore",
      sharpness = 1,
      richness_multiplier = 12000,
      richness_base = 300,
      size_control_multiplier = 0.06,
      peaks = {
        {
          influence = 0.2,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.25,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = 0.65,
          noise_layer = "lead-ore",
          noise_octaves_difference = -2.4,
          noise_persistence = 0.35,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.6,
          noise_layer = "lead-ore",
          noise_octaves_difference = -4.5,
          noise_persistence = 0.5,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "copper-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "iron-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "coal",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "stone",
          noise_octaves_difference = -3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "tin-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "zinc-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },

        {
          influence = 0.1,
          noise_layer = "bauxite-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = 0.2,
          noise_layer = "tungsten-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },

        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "gold-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "rutile-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
      },
    },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
    stages = 
    {
      filename = "__NARMod__/graphics/entity/lead-ore/lead-ore.png",
      priority = "extra-high",
      width = 38,
      height = 38,
      frame_count = 4,
      direction_count = 8
    },
    map_color = {r=0.250, g=0.250, b=0.250}
  },

  {
    type = "particle",
    name = "lead-ore-particle",
    flags = {"not-on-map"},
    life_time = 180,
    pictures = {
      {
        filename = "__NARMod__/graphics/entity/lead-ore/lead-ore-particle-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/lead-ore/lead-ore-particle-2.png",
        priority = "extra-high",
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/lead-ore/lead-ore-particle-3.png",
        priority = "extra-high",
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/lead-ore/lead-ore-particle-4.png",
        priority = "extra-high",
        width = 9,
        height = 8,
        frame_count = 1
      }
    },
    shadows = {
      {
        filename = "__NARMod__/graphics/entity/lead-ore/lead-ore-particle-shadow-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/lead-ore/lead-ore-particle-shadow-2.png",
        priority = "extra-high",
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/lead-ore/lead-ore-particle-shadow-3.png",
        priority = "extra-high",
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/lead-ore/lead-ore-particle-shadow-4.png",
        priority = "extra-high",
        width = 9,
        height = 8,
        frame_count = 1
      }
    }
  },
  
  
  
  
  
  
-- TITANIUM PLATE
  
  {
    type = "recipe",
    name = "titanium-plate",
    category = "electrolysis",
    energy_required = 30,
    enabled = "false",
    ingredients =
    {
	  {type="item", name="calcium-chloride", amount=5},
      {type="fluid", name="titanium-tetrachloride", amount=10},
	  {type="fluid", name="argon-gas", amount=1},
    },
    result = "titanium-plate",
    result_count = 10,
  },

results=
		{
			{type="fluid", name="titanium-plate", amount=5}
		},

  -- TITANIUM TETRACHLORIDE
  
  {
  type = "recipe",
    name = "titanium-tetrachloride",
    category = "blast-furnace",
    energy_required = 3,
	subgroup = "chemicals",
    enabled = "false",
    ingredients =
    {
      {type="item", name="charcoal", amount=1},
      {type="fluid", name="chlorine", amount=2},
	  {type="item", name="rutile-ore", amount=2}
    },
	results = {
		{type="fluid", name="titanium-tetrachloride", amount = 2 }
	},
  },
  
  	{
		type = "fluid",
		name = "titanium-tetrachloride",
		default_temperature = 1000,
		heat_capacity = "1KJ",
		base_color = {r=0, g=0, b=0},
		flow_color = {r=0.5, g=1.0, b=1.0},
		max_temperature = -186,
		icon = "__NARMod__/graphics/icons/titanium-tetrachloride.png",
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		order = "a[fluid]-b[liquid-air]"
	},
	
	-- RUTILE ORE
  
  {
    type = "autoplace-control",
    name = "rutile-ore",
    richness = true,
    order = "b-f-r"
  },

  {
    type = "noise-layer",
    name = "rutile-ore"
  },

  {
    type = "item",
    name = "rutile-ore",
    icon = "__NARMod__/graphics/icons/rutile-ore.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-ores",
    order = "f-a[rutile-ore]",
    stack_size = 50
  },

  {
    type = "resource",
    name = "rutile-ore",
    icon = "__NARMod__/graphics/icons/rutile-ore.png",
    flags = {"placeable-neutral"},
    order="a-b-f-h",
    minable =
    {
      hardness = 2.6,
      mining_particle = "rutile-ore-particle",
      mining_time = 2,
      result = "rutile-ore"
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
      control = "rutile-ore",
      sharpness = 1,
      richness_multiplier = 11000,
      richness_base = 200,
      size_control_multiplier = 0.06,
      peaks = {
        {
          influence = 0.2,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = 0.65,
          noise_layer = "rutile-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.35,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "copper-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = 0.2,
          noise_layer = "iron-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "coal",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "stone",
          noise_octaves_difference = -3,
          noise_persistence = 0.45,
        },
         {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "tin-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "zinc-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = 0.1,
          noise_layer = "gold-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
      },
    },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
    stages = 
    {
      filename = "__NARMod__/graphics/entity/rutile-ore/rutile-ore.png",
      priority = "extra-high",
      width = 38,
      height = 38,
      frame_count = 4,
      direction_count = 8
    },
    map_color = {r=0.610, g=0.325, b=0.500}
  },

  {
    type = "particle",
    name = "rutile-ore-particle",
    flags = {"not-on-map"},
    life_time = 180,
    pictures = {
      {
        filename = "__NARMod__/graphics/entity/rutile-ore/rutile-ore-particle-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/rutile-ore/rutile-ore-particle-2.png",
        priority = "extra-high",
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/rutile-ore/rutile-ore-particle-3.png",
        priority = "extra-high",
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/rutile-ore/rutile-ore-particle-4.png",
        priority = "extra-high",
        width = 9,
        height = 8,
        frame_count = 1
      }
    },
    shadows = {
      {
        filename = "__NARMod__/graphics/entity/rutile-ore/rutile-ore-particle-shadow-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/rutile-ore/rutile-ore-particle-shadow-2.png",
        priority = "extra-high",
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/rutile-ore/rutile-ore-particle-shadow-3.png",
        priority = "extra-high",
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/rutile-ore/rutile-ore-particle-shadow-4.png",
        priority = "extra-high",
        width = 9,
        height = 8,
        frame_count = 1
      }
    },
  },
  
  
  
  
  -- STONE
  
  {
    type = "resource",
    name = "stone",
    icon = "__NARMod__/graphics/icons/stone.png",
    flags = {"placeable-neutral"},
    order="a-b-d",
    minable =
    {
      hardness = 0.4,
      mining_particle = "stone-particle",
      mining_time = 2,
      result = "stone"
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
      control = "stone",
      sharpness = 1,
      richness_multiplier = 15000,
      richness_base = 350,
      size_control_multiplier = 0.06,
      peaks = {
        {
          influence = 0.2,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.25,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = 0.65,
          noise_layer = "stone",
          noise_octaves_difference = -2.5,
          noise_persistence = 0.35,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.6,
          noise_layer = "stone",
          noise_octaves_difference = -3,
          noise_persistence = 0.45,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "copper-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "iron-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "coal",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        }
      },
    },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
    stages =
    {
      filename = "__base__/graphics/entity/stone/stone.png",
      priority = "extra-high",
      width = 38,
      height = 38,
      frame_count = 4,
      direction_count = 8
    },
    map_color = {r=0.478, g=0.450, b=0.317}
  },
  
  
  
  
  -- TIN ORE
  
  {
    type = "autoplace-control",
    name = "tin-ore",
    richness = true,
    order = "b-f-t"
  },

  {
    type = "noise-layer",
    name = "tin-ore"
  },

  {
    type = "item",
    name = "tin-ore",
    icon = "__NARMod__/graphics/icons/tin-ore.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-ores",
    order = "f-a[tin-ore]",
    stack_size = 50
  },

  {
    type = "resource",
    name = "tin-ore",
    icon = "__NARMod__/graphics/icons/tin-ore.png",
    flags = {"placeable-neutral"},
    order="a-b-f-a",
    minable =
    {
      hardness = 0.8,
      mining_particle = "tin-ore-particle",
      mining_time = 2,
      result = "tin-ore"
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
      control = "tin-ore",
      sharpness = 1,
      richness_multiplier = 14000,
      richness_base = 300,
      size_control_multiplier = 0.06,
      peaks = {
        {
          influence = 0.2,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.3,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = 0.65,
          noise_layer = "tin-ore",
          noise_octaves_difference = -1.9,
          noise_persistence = 0.3,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.55,
          noise_layer = "tin-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.4,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = 0.2,
          noise_layer = "copper-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "iron-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "coal",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.15,
          max_influence = 0,
          noise_layer = "stone",
          noise_octaves_difference = -3,
          noise_persistence = 0.45,
        },
        {
          influence = 0.2,
          noise_layer = "zinc-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },

        {
          influence = -0.05,
          max_influence = 0,
          noise_layer = "bauxite-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.05,
          max_influence = 0,
          noise_layer = "lead-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.05,
          max_influence = 0,
          noise_layer = "tungsten-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },

        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "gold-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "rutile-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
      },
    },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
    stages = 
    {
      filename = "__NARMod__/graphics/entity/tin-ore/tin-ore.png",
      priority = "extra-high",
      width = 38,
      height = 38,
      frame_count = 4,
      direction_count = 8
    },
    map_color = {r=0.600, g=0.600, b=0.600}
  },

  {
    type = "particle",
    name = "tin-ore-particle",
    flags = {"not-on-map"},
    life_time = 180,
    pictures = {
      {
        filename = "__NARMod__/graphics/entity/tin-ore/tin-ore-particle-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tin-ore/tin-ore-particle-2.png",
        priority = "extra-high",
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tin-ore/tin-ore-particle-3.png",
        priority = "extra-high",
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tin-ore/tin-ore-particle-4.png",
        priority = "extra-high",
        width = 9,
        height = 8,
        frame_count = 1
      }
    },
    shadows = {
      {
        filename = "__NARMod__/graphics/entity/tin-ore/tin-ore-particle-shadow-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tin-ore/tin-ore-particle-shadow-2.png",
        priority = "extra-high",
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tin-ore/tin-ore-particle-shadow-3.png",
        priority = "extra-high",
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tin-ore/tin-ore-particle-shadow-4.png",
        priority = "extra-high",
        width = 9,
        height = 8,
        frame_count = 1
      }
    }
  },
  
  
  
  
  -- QUARTZ
  
  {
    type = "autoplace-control",
    name = "quartz",
    richness = true,
    order = "b-f-q"
  },

  {
    type = "noise-layer",
    name = "quartz"
  },

  {
    type = "item",
    name = "quartz",
    icon = "__NARMod__/graphics/icons/quartz.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-ores",
    order = "f-a[quartz]",
    stack_size = 50
  },

  {
    type = "resource",
    name = "quartz",
    icon = "__NARMod__/graphics/icons/quartz.png",
    flags = {"placeable-neutral"},
    order="a-b-f-g-b",
    minable =
    {
      hardness = 0.5,
      mining_particle = "quartz-particle",
      mining_time = 2,
      results =
      {
        {type="item", name="quartz", amount=1},
      }
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
      control = "quartz",
      sharpness = 1,
      richness_multiplier = 13000,
      richness_base = 250,
      size_control_multiplier = 0.06,
      peaks = {
        {
          influence = 0.15,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.65,
          noise_layer = "quartz",
          noise_octaves_difference = -2.4,
          noise_persistence = 0.35,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = 0.15,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.7,
          noise_layer = "quartz",
          noise_octaves_difference = -4.5,
          noise_persistence = 0.5,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
      },
    },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
    stages =
    {
      filename = "__NARMod__/graphics/entity/quartz/quartz.png",
      priority = "extra-high",
      width = 38,
      height = 38,
      frame_count = 4,
      direction_count = 8
    },
    map_color = {r=1, g=1, b=1}
  },

  {
    type = "particle",
    name = "quartz-particle",
    flags = {"not-on-map"},
    life_time = 180,
    pictures = {
      {
        filename = "__NARMod__/graphics/entity/quartz/quartz-particle-1.png",
        priority = "extra-high",
        width = 5,
        height = 4,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/quartz/quartz-particle-2.png",
        priority = "extra-high",
        width = 4,
        height = 4,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/quartz/quartz-particle-3.png",
        priority = "extra-high",
        width = 5,
        height = 6,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/quartz/quartz-particle-4.png",
        priority = "extra-high",
        width = 7,
        height = 7,
        frame_count = 1
      }
    },
    shadows = {
      {
        filename = "__NARMod__/graphics/entity/quartz/quartz-particle-shadow-1.png",
        priority = "extra-high",
        width = 5,
        height = 4,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/quartz/quartz-particle-shadow-2.png",
        priority = "extra-high",
        width = 4,
        height = 4,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/quartz/quartz-particle-shadow-3.png",
        priority = "extra-high",
        width = 5,
        height = 6,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/quartz/quartz-particle-shadow-4.png",
        priority = "extra-high",
        width = 7,
        height = 7,
        frame_count = 1
      }
    }
  },
  
  
  
  
  
  
  
  -- TUNGSTEN ORE
  
  {
    type = "autoplace-control",
    name = "tungsten-ore",
    richness = true,
    order = "b-f-u"
  },

  {
    type = "noise-layer",
    name = "tungsten-ore"
  },

  {
    type = "item",
    name = "tungsten-ore",
    icon = "__NARMod__/graphics/icons/tungsten-ore.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-ores",
    order = "f-a[tungsten-ore]",
    stack_size = 50
  },

  {
    type = "resource",
    name = "tungsten-ore",
    icon = "__NARMod__/graphics/icons/tungsten-ore.png",
    flags = {"placeable-neutral"},
    order="a-b-f-c",
    minable =
    {
      hardness = 2.6,
      mining_particle = "tungsten-ore-particle",
      mining_time = 2,
      result = "tungsten-ore"
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
      control = "tungsten-ore",
      sharpness = 1,
      richness_multiplier = 11000,
      richness_base = 200,
      size_control_multiplier = 0.06,
      peaks = {
        {
          influence = 0.2,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = 0.65,
          noise_layer = "tungsten-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.35,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "copper-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "iron-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "coal",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "stone",
          noise_octaves_difference = -3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "tin-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "zinc-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },

        {
          influence = 0.1,
          noise_layer = "bauxite-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = 0.2,
          noise_layer = "lead-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },

        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "gold-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "rutile-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
      },
    },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
    stages = 
    {
      filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore.png",
      priority = "extra-high",
      width = 38,
      height = 38,
      frame_count = 4,
      direction_count = 8
    },
    map_color = {r=0.375, g=0.250, b=0.125}
  },

  {
    type = "particle",
    name = "tungsten-ore-particle",
    flags = {"not-on-map"},
    life_time = 180,
    pictures = {
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-2.png",
        priority = "extra-high",
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-3.png",
        priority = "extra-high",
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-4.png",
        priority = "extra-high",
        width = 9,
        height = 8,
        frame_count = 1
      }
    },
    shadows = {
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-shadow-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-shadow-2.png",
        priority = "extra-high",
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-shadow-3.png",
        priority = "extra-high",
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-shadow-4.png",
        priority = "extra-high",
        width = 9,
        height = 8,
        frame_count = 1
      }
    }
  },
  
  
  
  
  
  
  
  
  {
    type = "autoplace-control",
    name = "zinc-ore",
    richness = true,
    order = "b-f-z"
  },

  {
    type = "noise-layer",
    name = "zinc-ore"
  },

  {
    type = "item",
    name = "zinc-ore",
    icon = "__NARMod__/graphics/icons/zinc-ore.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-ores",
    order = "f-a[zinc-ore]",
    stack_size = 50
  },

  {
    type = "resource",
    name = "zinc-ore",
    icon = "__NARMod__/graphics/icons/zinc-ore.png",
    flags = {"placeable-neutral"},
    order="a-b-f-b",
    minable =
    {
      hardness = 1.4,
      mining_particle = "zinc-ore-particle",
      mining_time = 2,
      result = "zinc-ore"
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
      control = "zinc-ore",
      sharpness = 1,
      richness_multiplier = 12000,
      richness_base = 250,
      size_control_multiplier = 0.06,
      peaks = {
        {
          influence = 0.2,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = 0.65,
          noise_layer = "zinc-ore",
          noise_octaves_difference = -2.4,
          noise_persistence = 0.35,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "copper-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.2,
          max_influence = 0,
          noise_layer = "iron-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = 0.2,
          max_influence = 0,
          noise_layer = "coal",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.15,
          max_influence = 0,
          noise_layer = "stone",
          noise_octaves_difference = -3,
          noise_persistence = 0.45,
        },
        {
          influence = 0.2,
          noise_layer = "tin-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },

        {
          influence = -0.05,
          max_influence = 0,
          noise_layer = "bauxite-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.05,
          max_influence = 0,
          noise_layer = "lead-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.05,
          max_influence = 0,
          noise_layer = "tungsten-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },

        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "gold-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "rutile-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
      },
    },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
    stages = 
    {
      filename = "__NARMod__/graphics/entity/zinc-ore/zinc-ore.png",
      priority = "extra-high",
      width = 38,
      height = 38,
      frame_count = 4,
      direction_count = 8
    },
    map_color = {r=0.340, g=0.720, b=0.690}
  },

  {
    type = "particle",
    name = "zinc-ore-particle",
    flags = {"not-on-map"},
    life_time = 180,
    pictures = {
      {
        filename = "__NARMod__/graphics/entity/zinc-ore/zinc-ore-particle-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/zinc-ore/zinc-ore-particle-2.png",
        priority = "extra-high",
        width = 6,
        height = 4,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/zinc-ore/zinc-ore-particle-3.png",
        priority = "extra-high",
        width = 7,
        height = 8,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/zinc-ore/zinc-ore-particle-4.png",
        priority = "extra-high",
        width = 6,
        height = 5,
        frame_count = 1
      }
    },
    shadows = {
      {
        filename = "__NARMod__/graphics/entity/zinc-ore/zinc-ore-particle-shadow-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/zinc-ore/zinc-ore-particle-shadow-2.png",
        priority = "extra-high",
        width = 6,
        height = 4,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/zinc-ore/zinc-ore-particle-shadow-3.png",
        priority = "extra-high",
        width = 7,
        height = 8,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/zinc-ore/zinc-ore-particle-shadow-4.png",
        priority = "extra-high",
        width = 6,
        height = 5,
        frame_count = 1
      }
    }
  },
  
  
  
}
)