data:extend(
{
  {
    type = "autoplace-control",
    name = "tungsten-ore",
    richness = true,
    order = "b-f-u"
  },

  {
    type = "noise-layer",
    name = "tungsten-ore"
  },

  {
    type = "item",
    name = "tungsten-ore",
    icon = "__NARMod__/graphics/icons/tungsten-ore.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-ores",
    order = "f-a[tungsten-ore]",
    stack_size = 50
  },

  {
    type = "resource",
    name = "tungsten-ore",
    icon = "__NARMod__/graphics/icons/tungsten-ore.png",
    flags = {"placeable-neutral"},
    order="a-b-f-c",
    minable =
    {
      hardness = 2.6,
      mining_particle = "tungsten-ore-particle",
      mining_time = 2,
      result = "tungsten-ore"
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
      control = "tungsten-ore",
      sharpness = 1,
      richness_multiplier = 11000,
      richness_base = 200,
      size_control_multiplier = 0.06,
      peaks = {
        {
          influence = 0.2,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = 0.65,
          noise_layer = "tungsten-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.35,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },

        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "copper-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "iron-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "coal",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "stone",
          noise_octaves_difference = -3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "tin-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "zinc-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },

        {
          influence = 0.1,
          noise_layer = "bauxite-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = 0.2,
          noise_layer = "lead-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },

        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "gold-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.1,
          max_influence = 0,
          noise_layer = "rutile-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
      },
    },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
    stages = 
    {
      filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore.png",
      priority = "extra-high",
      width = 38,
      height = 38,
      frame_count = 4,
      direction_count = 8
    },
    map_color = {r=0.375, g=0.250, b=0.125}
  },

  {
    type = "particle",
    name = "tungsten-ore-particle",
    flags = {"not-on-map"},
    life_time = 180,
    pictures = {
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-2.png",
        priority = "extra-high",
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-3.png",
        priority = "extra-high",
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-4.png",
        priority = "extra-high",
        width = 9,
        height = 8,
        frame_count = 1
      }
    },
    shadows = {
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-shadow-1.png",
        priority = "extra-high",
        width = 5,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-shadow-2.png",
        priority = "extra-high",
        width = 7,
        height = 5,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-shadow-3.png",
        priority = "extra-high",
        width = 6,
        height = 7,
        frame_count = 1
      },
      {
        filename = "__NARMod__/graphics/entity/tungsten-ore/tungsten-ore-particle-shadow-4.png",
        priority = "extra-high",
        width = 9,
        height = 8,
        frame_count = 1
      }
    }
  },
}
)
